| 0.9.9 API documenation

Typedefs | Functions
gtx/integer.hpp File Reference

Go to the source code of this file.

## Typedefs
typedef signed int | sint

## Functions
template<typename genType >
GLM_FUNC_DECL genType | factorial (genType const &x)
GLM_FUNC_DECL unsigned int | floor_log2 (unsigned int x)
GLM_FUNC_DECL int | mod (int x, int y)
GLM_FUNC_DECL uint | mod (uint x, uint y)
GLM_FUNC_DECL uint | nlz (uint x)
GLM_FUNC_DECL int | pow (int x, uint y)
GLM_FUNC_DECL uint | pow (uint x, uint y)
GLM_FUNC_DECL int | sqrt (int x)
GLM_FUNC_DECL uint | sqrt (uint x)

## Detailed Description

GLM_GTX_integer

See also
  Core features (dependence)

Definition in file gtx/integer.hpp.